# Class TemplateManager

java.lang.Object
org.apache.jmeter.gui.action.template.TemplateManager

public class TemplateManager extends Object
Manages Test Plan templates

Since:
  2.10

## Method Summary

Modifier and Type
Method
Description
`void`
`addTemplate(Template template)`
`static final TemplateManager`
`getInstance()`
`Template`
`getTemplateByName(String selectedTemplate)`
`String[]`
`getTemplateNames()`
`TemplateManager`
`reset()`
Resets the template Map by re-reading the template files.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getInstance

public static final TemplateManager getInstance()

### addTemplate

public void addTemplate(Template template)

### reset

public TemplateManager reset()
Resets the template Map by re-reading the template files.

Returns:
  this

### getTemplateNames

public String[] getTemplateNames()

Returns:
  the templates names

### getTemplateByName

public Template getTemplateByName(String selectedTemplate)

Parameters:
  `selectedTemplate` - Template name
Returns:
  `Template`